RAUL 0.8.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
Raul::TimeStamp Class Reference
Realtime Audio Utility Library

A real-time time stamp (possible units: frame, absolute (s), or beat). More...

`#include <TimeStamp.hpp>`

Inherited by Raul::BeatStamp, and Raul::FrameStamp.

List of all members.

## Public Member Functions

| TimeStamp (TimeUnit unit, uint32_t ticks=0, uint32_t subticks=0)
| TimeStamp (TimeUnit unit, double dec)
TimeUnit | unit () const
uint32_t | ticks () const
uint32_t | subticks () const
double | to_double () const
bool | is_zero () const
TimeStamp & | operator= (const TimeStamp &rhs)
TimeStamp & | operator= (uint32_t ticks)
bool | operator== (const TimeStamp &rhs) const
bool | operator!= (const TimeStamp &rhs) const
bool | operator< (const TimeStamp &rhs) const
bool | operator> (const TimeStamp &rhs) const
bool | operator<= (const TimeStamp &rhs) const
bool | operator>= (const TimeStamp &rhs) const
TimeStamp & | operator+= (const TimeStamp &rhs)
TimeStamp & | operator-= (const TimeStamp &rhs)
TimeStamp | operator+ (const TimeStamp &rhs) const
TimeStamp | operator- (const TimeStamp &rhs) const

## Detailed Description

A real-time time stamp (possible units: frame, absolute (s), or beat).

This is a uint32_t:uint32_t fixed point representation, capable of sub-sample accurate frame time, beat time (at any remotely sane tempo and sample rate), and absolute time. The absolute time (seconds) is compatible with standard OSC/NTP time stamps.

The documentation for this class was generated from the following file:

- TimeStamp.hpp